Update a notification rule
curl --request PATCH \
--url https://api.statisfy.com/v1/notification-rules/{rule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conditions": {
"field": "<string>",
"object": "<string>",
"value": null
},
"enabled": true,
"name": "<string>",
"recipients": {
"emails": [
"<string>"
],
"slack_channels": [
"<string>"
],
"teams_channels": [
"<string>"
]
}
}
'import requests
url = "https://api.statisfy.com/v1/notification-rules/{rule_id}"
payload = {
"conditions": {
"field": "<string>",
"object": "<string>",
"value": None
},
"enabled": True,
"name": "<string>",
"recipients": {
"emails": ["<string>"],
"slack_channels": ["<string>"],
"teams_channels": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conditions: {field: '<string>', object: '<string>', value: null},
enabled: true,
name: '<string>',
recipients: {
emails: ['<string>'],
slack_channels: ['<string>'],
teams_channels: ['<string>']
}
})
};
fetch('https://api.statisfy.com/v1/notification-rules/{rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/notification-rules/{rule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'conditions' => [
'field' => '<string>',
'object' => '<string>',
'value' => null
],
'enabled' => true,
'name' => '<string>',
'recipients' => [
'emails' => [
'<string>'
],
'slack_channels' => [
'<string>'
],
'teams_channels' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/notification-rules/{rule_id}"
payload := strings.NewReader("{\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.statisfy.com/v1/notification-rules/{rule_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/notification-rules/{rule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"conditions": {
"field": "<string>",
"object": "<string>",
"op": "<string>",
"value": "<unknown>"
},
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "<string>",
"name": "<string>",
"recipients": {
"emails": [
"<string>"
],
"slack_channels": [
"<string>"
],
"teams_channels": [
"<string>"
]
},
"type": "meeting_insights",
"updated_at": "2023-11-07T05:31:56Z"
}notification_rules
Update a notification rule
Changes the fields sent and keeps the others; enabled: false turns the rule off. A recipient the rule already has stays valid even if that person or channel is gone; a new one is checked as on create.
PATCH
/
v1
/
notification-rules
/
{rule_id}
Update a notification rule
curl --request PATCH \
--url https://api.statisfy.com/v1/notification-rules/{rule_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conditions": {
"field": "<string>",
"object": "<string>",
"value": null
},
"enabled": true,
"name": "<string>",
"recipients": {
"emails": [
"<string>"
],
"slack_channels": [
"<string>"
],
"teams_channels": [
"<string>"
]
}
}
'import requests
url = "https://api.statisfy.com/v1/notification-rules/{rule_id}"
payload = {
"conditions": {
"field": "<string>",
"object": "<string>",
"value": None
},
"enabled": True,
"name": "<string>",
"recipients": {
"emails": ["<string>"],
"slack_channels": ["<string>"],
"teams_channels": ["<string>"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
conditions: {field: '<string>', object: '<string>', value: null},
enabled: true,
name: '<string>',
recipients: {
emails: ['<string>'],
slack_channels: ['<string>'],
teams_channels: ['<string>']
}
})
};
fetch('https://api.statisfy.com/v1/notification-rules/{rule_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/notification-rules/{rule_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'conditions' => [
'field' => '<string>',
'object' => '<string>',
'value' => null
],
'enabled' => true,
'name' => '<string>',
'recipients' => [
'emails' => [
'<string>'
],
'slack_channels' => [
'<string>'
],
'teams_channels' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/notification-rules/{rule_id}"
payload := strings.NewReader("{\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.statisfy.com/v1/notification-rules/{rule_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/notification-rules/{rule_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"conditions\": {\n \"field\": \"<string>\",\n \"object\": \"<string>\",\n \"value\": null\n },\n \"enabled\": true,\n \"name\": \"<string>\",\n \"recipients\": {\n \"emails\": [\n \"<string>\"\n ],\n \"slack_channels\": [\n \"<string>\"\n ],\n \"teams_channels\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"conditions": {
"field": "<string>",
"object": "<string>",
"op": "<string>",
"value": "<unknown>"
},
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"id": "<string>",
"name": "<string>",
"recipients": {
"emails": [
"<string>"
],
"slack_channels": [
"<string>"
],
"teams_channels": [
"<string>"
]
},
"type": "meeting_insights",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Body
application/json
Response
200 - application/json
Successful Response
Was this page helpful?